package cn.com.tenlion.configtable.pojo.bos.configtable;

/**
 *
 * @ClassName: ConfigTableBO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-06-24 10:59:30
 * @Version: 3.0
 **/
public class ConfigTableBO {

    private String configTableId;
    private String configTableNumber;
    private String configTableCode;
    private String configTableName;
    private String configTableActivation;
    private String configTableActivationTime;
    private String configTableRemark;
    private String configTableMode;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getConfigTableId() {
        return configTableId == null ? "" : configTableId.trim();
    }

    public void setConfigTableId(String configTableId) {
        this.configTableId = configTableId;
    }

    public String getConfigTableNumber() {
        return configTableNumber == null ? "" : configTableNumber.trim();
    }

    public void setConfigTableNumber(String configTableNumber) {
        this.configTableNumber = configTableNumber;
    }

    public String getConfigTableCode() {
        return configTableCode == null ? "" : configTableCode.trim();
    }

    public void setConfigTableCode(String configTableCode) {
        this.configTableCode = configTableCode;
    }

    public String getConfigTableName() {
        return configTableName == null ? "" : configTableName.trim();
    }

    public void setConfigTableName(String configTableName) {
        this.configTableName = configTableName;
    }

    public String getConfigTableActivation() {
        return configTableActivation == null ? "" : configTableActivation.trim();
    }

    public void setConfigTableActivation(String configTableActivation) {
        this.configTableActivation = configTableActivation;
    }

    public String getConfigTableActivationTime() {
        return configTableActivationTime == null ? "" : configTableActivationTime.trim();
    }

    public void setConfigTableActivationTime(String configTableActivationTime) {
        this.configTableActivationTime = configTableActivationTime;
    }

    public String getConfigTableRemark() {
        return configTableRemark == null ? "" : configTableRemark.trim();
    }

    public void setConfigTableRemark(String configTableRemark) {
        this.configTableRemark = configTableRemark;
    }

    public String getConfigTableMode() {
        return configTableMode == null ? "" : configTableMode.trim();
    }

    public void setConfigTableMode(String configTableMode) {
        this.configTableMode = configTableMode;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
